{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<nav title="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item" aria-current="page"><a href="{% url 'dashboards:index' %}">Dashboards</a></li>
  </ol>
</nav>
{% endblock content-title %}

{% block content %}
<div class="row">
  <div class="col-lg-4">
    <div class="card mb-4">
      <div class="card-body">
        <i class="fa-solid fa-server fa-xl"></i>
        <h5 class="card-title">Onboarded Devices</h5>
        <p class="card-text" style="font-size: 24px; color: blue;">{{device_count}}</p>

      </div>
    </div>
  </div>

  <div class="col-lg-4">
    <div class="card mb-4">
      <div class="card-body">
        <i class="fa-solid fa-diagram-project fa-xl"></i>
        <h5 class="card-title">Total Networks</h5>
        <p class="card-text" style="font-size: 24px; color: blue;">{{network_count}}</p>
      </div>
    </div>
  </div>

  <div class="col-lg-4">
    <div class="card mb-4">
      <div class="card-body">
        <i class="fa-solid fa-gear fa-xl"></i>
        <h5 class="card-title">Submitted Jobs</h5>
        <p class="card-text" style="font-size: 24px; color: blue;">{{job_count}}</p>
      </div>
    </div>
  </div>

{% endblock content %}

{% block javascript %}
<script src="{% static 'dashboards/js/dashboards.js' %}"></script>
{% endblock javascript %}
</div>